IBM FRANCE

L’application Single-page (SPA) intéresse beaucoup l’industrie logicielle car c’est un levier pour améliorer les performances des applications sur...

Lire la suite

Raspberry PI n'est pas vulnérable à Meltdown et Spectre

Par:
fredericmazue

ven, 12/01/2018 - 12:54

Devez-vous patcher vos bons, petits, fidèles Raspberry Pi contre les failles processeurs Meldown et Spectre qui défraient la chronique depuis deux semaines ?

Car si au départ ces failles ont été décrites comme concernant les processeurs Intel, il est rapidement apparu qu'elles concernaient aussi les processeurs AMD et ARM.

Alors votre Raspberry Pi y est-il vulnérable ? Tout d'abord, au regard de leurs utilisations, il est peu probable que les Raspberry Pi soient attaqués :-) Mais meiux vaut être sûr :-)

Pour cela, à lire un très intéressant billet sur le blog de Raspberry Pi. Le billet donnent d'intéressantes informations sur le fonctionnement des processeurs modernes et sur cette fameuse exécution spéculative dans laquelle se nichent les vulnérabilités Meltdown et Spectre.

Au final, conclut le billet, votre Raspberry Pi n'est pas vulnérable : l'absence d'exécution spéculative dans les ARM1176, Cortex-A7, et Cortex-A53 utilisés dans les Rasberry Pi les immunise contre ce type d'attaques.